com.rscja.deviceapi.interfaces

## Interface IRFIDWithUHFUrxUart

- All Superinterfaces:
    ISingleAntenna, IUHF, IUHFURx
  All Known Implementing Classes:
    RFIDWithUHFUrxUart

      public interface IRFIDWithUHFUrxUart
      extends IUHFURx

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUart(java.lang.String uart)`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFURx

      `disableBeep, enableBeep, getANT, getAntennaConnectState, getAntennaWorkTime, getDestIP, getErrCode, getInputStatus, getSTM32Version, getTriggerWorkModePara, getUhfReaderIP, getWorkMode, isEnableBeep, setANT, setAntennaWorkTime, setDestIP, setRelayStatus, setTriggerWorkModePara, setUhfReaderIP, setWorkMode, softwareReset, uhfJump2BootSTM32`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFrequencyMode, getGen2, getProtocol, getPwm, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isWorking, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setPwm, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.ISingleAntenna

      `getPower, setPower`

- - ### Method Detail

    - #### setUart

          void setUart(java.lang.String uart)